Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait ContextErrors extends AnyRef
  Definition Classes
    typechecker
-  trait NamerContextErrors extends AnyRef
  Definition Classes
    ContextErrors
- NamerErrorGen

o

scala.tools.nsc.typechecker.ContextErrors.NamerContextErrors

# NamerErrorGen 

###

#### object NamerErrorGen

Source
  ContextErrors.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NamerErrorGen
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AbstractMemberWithModiferError(sym: Global.Symbol, flag: Int): Unit
5.  def BeanPropertyAnnotationFieldWithoutLetterError(tree: Global.Tree): Unit
6.  def BeanPropertyAnnotationLimitationError(tree: Global.Tree): Unit
7.  def BeanPropertyAnnotationPrivateFieldError(tree: Global.Tree): Unit
8.  def DoubleDefError(currentSym: Global.Symbol, prevSym: Global.Symbol): Unit
9.  def DuplicatesError(tree: Global.Tree, name: Global.Name, kind: NamerErrorGen.DuplicatesErrorKinds.Value): Unit
10.  def GetterDefinedTwiceError(getter: Global.Symbol): Unit
11.  def IllegalDependentMethTpeError(sym: Global.Symbol)(context: Analyzer.Context): Unit
12.  def IllegalModifierCombination(sym: Global.Symbol, flag1: Int, flag2: Int): Unit
13.  def MissingParameterOrValTypeError(vparam: Global.Tree): Unit
14.  def ParentSealedInheritanceError(parent: Global.Tree, psym: Global.Symbol): Analyzer.NormalTypeError
15.  def PrivateThisCaseClassParameterError(tree: Global.Tree): Unit
16.  def RootImportError(tree: Global.Tree): Unit
17.  def SymbolValidationError(sym: Global.Symbol, errKind: NamerErrorGen.SymValidateErrors.Value): Unit
18.  def TypeSigError(tree: Global.Tree, ex: Global.TypeError): Unit
19.  def ValOrVarWithSetterSuffixError(tree: Global.Tree): Unit
20.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
21.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  implicit val contextNamerErrorGen: Analyzer.Context
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
25.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
26.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
32.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  object DuplicatesErrorKinds extends Enumeration
38.  object SymValidateErrors extends Enumeration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped